org.eclnt.workplace

## Class WorkpageContainerDefaultListener

- java.lang.Object
- - org.eclnt.workplace.WorkpageContainerDefaultListener

- All Implemented Interfaces:
    java.io.Serializable, IWorkpageContainerListener

      public class WorkpageContainerDefaultListener
      extends java.lang.Object
      implements IWorkpageContainerListener, java.io.Serializable

  Default implementation of `IWorkpageContainerListener`. This implementation does "nothing" but fulfilling the interface requirements.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageContainerDefaultListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reactOnPerspectiveUpdate(WorkplaceTileInfo perspective)`
    `boolean` | `reactOnSelectorUserSelection(IWorkpageContainer workpageContainer, int fromIndex, int toIndex, IWorkpage fromWorkpage, IWorkpage toWorkpage)`
    `void` | `reactOnWorkpageAdded(IWorkpage workpage)`
    `void` | `reactOnWorkpageContainerGotEmpty(java.lang.String workpageContainerId)`
    `void` | `reactOnWorkpageDrop(java.lang.String workpageContainerId, java.lang.String workpageTechId, int horizontalPercentage, int verticalPercentage)`
    `void` | `reactOnWorkpageMoved(IWorkpage workpage, IWorkpageContainer from, IWorkpageContainer to)`
    `void` | `reactOnWorkpageRemoved(IWorkpage workpage)`
    `void` | `reactOnWorkpageSwitchedTo(IWorkpage workpage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkpageContainerDefaultListener

          public WorkpageContainerDefaultListener()

  - ### Method Detail

    - #### reactOnWorkpageDrop

          public void reactOnWorkpageDrop(java.lang.String workpageContainerId,
                                          java.lang.String workpageTechId,
                                          int horizontalPercentage,
                                          int verticalPercentage)

      Specified by:
        `reactOnWorkpageDrop` in interface `IWorkpageContainerListener`

    - #### reactOnWorkpageAdded

          public void reactOnWorkpageAdded(IWorkpage workpage)

      Specified by:
        `reactOnWorkpageAdded` in interface `IWorkpageContainerListener`

    - #### reactOnWorkpageRemoved

          public void reactOnWorkpageRemoved(IWorkpage workpage)

      Specified by:
        `reactOnWorkpageRemoved` in interface `IWorkpageContainerListener`

    - #### reactOnWorkpageSwitchedTo

          public void reactOnWorkpageSwitchedTo(IWorkpage workpage)

      Specified by:
        `reactOnWorkpageSwitchedTo` in interface `IWorkpageContainerListener`

    - #### reactOnWorkpageMoved

          public void reactOnWorkpageMoved(IWorkpage workpage,
                                           IWorkpageContainer from,
                                           IWorkpageContainer to)

      Specified by:
        `reactOnWorkpageMoved` in interface `IWorkpageContainerListener`

    - #### reactOnWorkpageContainerGotEmpty

          public void reactOnWorkpageContainerGotEmpty(java.lang.String workpageContainerId)

      Specified by:
        `reactOnWorkpageContainerGotEmpty` in interface `IWorkpageContainerListener`

    - #### reactOnPerspectiveUpdate

          public void reactOnPerspectiveUpdate(WorkplaceTileInfo perspective)

      Specified by:
        `reactOnPerspectiveUpdate` in interface `IWorkpageContainerListener`

    - #### reactOnSelectorUserSelection

          public boolean reactOnSelectorUserSelection(IWorkpageContainer workpageContainer,
                                                      int fromIndex,
                                                      int toIndex,
                                                      IWorkpage fromWorkpage,
                                                      IWorkpage toWorkpage)

      Specified by:
        `reactOnSelectorUserSelection` in interface `IWorkpageContainerListener`
      Returns:
        false => do not perform selector activity.
        true => perform selector activity

Copyright © CaptainCasa Gmbh. All Rights Reserved.